Index: qoca/QcLinInEqColState.hh
===================================================================
--- qoca/QcLinInEqColState.hh	(revision 18891)
+++ qoca/QcLinInEqColState.hh	(working copy)
@@ -94,7 +94,7 @@
   //-----------------------------------------------------------------------//
   // Utility functions.                                                    //
   //-----------------------------------------------------------------------//
-  virtual void Print(ostream &os);
+  virtual void Print(std::ostream &os);
 
 public:
   /** A constrained variable may only take non-negative values and hence if it
@@ -124,7 +124,7 @@
 	fPrevStruct = 0;
 }
 
-inline void QcLinInEqColState::Print(ostream &os)
+inline void QcLinInEqColState::Print(std::ostream &os)
 {
   	QcLinEqColState::Print(os);
 	os << ",IsConst(" << fIsConstrained << "),"
Index: qoca/QcFloatRep.cc
===================================================================
--- qoca/QcFloatRep.cc	(revision 18891)
+++ qoca/QcFloatRep.cc	(working copy)
@@ -1,6 +1,5 @@
 // Generated automatically from QcFloatRep.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcFloatRep.hh"
-#line 1 "QcFloatRep.ch"
 // $Id: QcFloatRep.ch,v 1.13 2001/01/10 05:01:51 pmoulder Exp $
 
 //============================================================================//
@@ -31,7 +30,8 @@
 #include "qoca/QcUtility.hh"
 
 
-#line 48 "QcFloatRep.ch"
+using namespace std;
+
 	//-----------------------------------------------------------------------//
 	// Constructors                                                          //
 	//-----------------------------------------------------------------------//
@@ -58,12 +58,10 @@
 }
 
 
-#line 93 "QcFloatRep.ch"
 //-----------------------------------------------------------------------//
 // Set and Get member functions                                          //
 //-----------------------------------------------------------------------//
 
-#line 176 "QcFloatRep.ch"
 void QcFloatRep::SetWeight (numT w)
 {
   qcAssertPre( isQcFloatRep());
@@ -83,7 +81,6 @@
 }
 
 
-#line 199 "QcFloatRep.ch"
 void
 QcFloatRep::SuggestValue (numT dv)
 {
@@ -92,7 +89,6 @@
 }
 
 
-#line 213 "QcFloatRep.ch"
 void QcFloatRep::SetName (char const *n)
 {
   qcAssertPre( isQcFloatRep());
@@ -127,7 +123,6 @@
   qcAssertPost (fName[len + qcMagic2Len] == '\0');
 }
 
-#line 279 "QcFloatRep.ch"
 #if qcCheckInternalPre
 void QcFloatRep::assertInvar() const
 {
@@ -146,7 +141,6 @@
 
 
 
-#line 299 "QcFloatRep.ch"
 bool QcFloatRep::FreeName()
 {
   qcAssertPre( isQcFloatRep());
@@ -170,7 +164,6 @@
 }
 
 
-#line 352 "QcFloatRep.ch"
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
@@ -191,7 +184,6 @@
 }
 
 
-#line 414 "QcFloatRep.ch"
 QcFloatRep::TId QcFloatRep::fNextValidId = 1;
 
 /*
Index: qoca/QcMatrix.hh
===================================================================
--- qoca/QcMatrix.hh	(revision 18891)
+++ qoca/QcMatrix.hh	(working copy)
@@ -152,7 +152,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 
 protected:
 	unsigned fAllocRows;		// Used only by Reserve
@@ -166,18 +166,18 @@
 {
 }
 
-inline void QcMatrix::Print(ostream &os) const
+inline void QcMatrix::Print(std::ostream &os) const
 {
 	for (unsigned i = 0; i < fRows; i++) {
 		os << i << ":";
 		for (unsigned j = 0; j < fColumns; j++)
 			os << "\t" << GetValue(i, j);
-		os << endl;
+		os << std::endl;
 	}
 }
 
 #ifndef qcNoStream
-inline ostream &operator<<(ostream &os, const QcMatrix &m)
+inline std::ostream &operator<<(std::ostream &os, const QcMatrix &m)
 {
 	m.Print(os);
 	return os;
Index: qoca/QcFloat.hh
===================================================================
--- qoca/QcFloat.hh	(revision 18891)
+++ qoca/QcFloat.hh	(working copy)
@@ -237,7 +237,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions                                                     //
 	//-----------------------------------------------------------------------//
-	void Print(ostream &os) const
+	void Print(std::ostream &os) const
 	{ fRep->Print(os); }
 
 protected:
@@ -363,7 +363,7 @@
 }
 
 #ifndef qcNoStream
-inline ostream &operator<<(ostream &os, const QcFloat &cf)
+inline std::ostream &operator<<(std::ostream &os, const QcFloat &cf)
 {
 	cf.Print(os);
 	return os;
Index: qoca/QcLinEqTableau.hh
===================================================================
--- qoca/QcLinEqTableau.hh	(revision 18891)
+++ qoca/QcLinEqTableau.hh	(working copy)
@@ -27,8 +27,8 @@
 #ifndef __QcLinEqTableauH
 #define __QcLinEqTableauH
 
-#include <deque.h>
-#include <vector.h>
+#include <deque>
+#include <vector>
 #include "qoca/QcTableau.hh"
 #include "qoca/QcSparseCoeff.hh"
 #include "qoca/QcDelCoreTableau.hh"
@@ -43,7 +43,7 @@
 	QcCoreTableau *fCoreTableau;
 
 public:
-  	deque<unsigned int> fPivotHints;
+  	std::deque<unsigned int> fPivotHints;
 		// During an eliminate operation, fPivotHints is erased and then
 		// the indices of parametric variables that do not have zero
 		// solved form coeffs are recorded.  These are likely to be good
@@ -295,7 +295,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility function.                                                     //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 
 protected:
 	//-----------------------------------------------------------------------//
Index: qoca/QcLinEqColState.hh
===================================================================
--- qoca/QcLinEqColState.hh	(revision 18891)
+++ qoca/QcLinEqColState.hh	(working copy)
@@ -82,7 +82,7 @@
   //-----------------------------------------------------------------------//
   // Utility functions.                                                    //
   //-----------------------------------------------------------------------//
-  virtual void Print(ostream &os);
+  virtual void Print(std::ostream &os);
 
 private:
   numT fDesValue;	// cache desired value of variable during solve
@@ -119,7 +119,7 @@
 {
 }
 
-inline void QcLinEqColState::Print(ostream &os)
+inline void QcLinEqColState::Print(std::ostream &os)
 {
 	QcQuasiColState::Print(os);
   	os << ",DV(" << fDesValue << "),"
Index: qoca/QcIneqSolverBase.H
===================================================================
--- qoca/QcIneqSolverBase.H	(revision 18891)
+++ qoca/QcIneqSolverBase.H	(working copy)
@@ -1,7 +1,6 @@
 // Generated automatically from QcIneqSolverBase.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcIneqSolverBaseDCL
 #define QcIneqSolverBaseDCL
-#line 1 "QcIneqSolverBase.ch"
 #include <qoca/QcSolver.H>
 
 #include <qoca/QcDelLinInEqSystem.hh>
@@ -12,11 +11,22 @@
 public:
 
 inline
-QcIneqSolverBase();
-#line 18 "QcIneqSolverBase.ch"
+QcIneqSolverBase() 
+  : QcSolver(),
+    fSystem()
+{
+	;
+}
+
 inline
-QcIneqSolverBase(unsigned hintNumConstraints, unsigned hintNumVariables);
-#line 26 "QcIneqSolverBase.ch"
+QcIneqSolverBase(unsigned hintNumConstraints, unsigned hintNumVariables)
+  : QcSolver(),
+    fSystem( hintNumConstraints, hintNumVariables)
+{
+	;
+}
+
+
 virtual ~QcIneqSolverBase()
 {
 }
@@ -78,10 +88,8 @@
 
 virtual bool
 AddConstraint(QcConstraint &c);
-#line 101 "QcIneqSolverBase.ch"
 virtual bool
 AddConstraint(QcConstraint &c, QcFloat &hint);
-#line 117 "QcIneqSolverBase.ch"
 virtual void
 BeginAddConstraint()
 {
@@ -98,10 +106,8 @@
 
 virtual bool
 ChangeConstraint(QcConstraint &oldc, numT rhs);
-#line 143 "QcIneqSolverBase.ch"
 virtual bool
 RemoveConstraint(QcConstraint &c);
-#line 159 "QcIneqSolverBase.ch"
 virtual bool
 Reset()
 {
Index: qoca/QcLinPoly.cc
===================================================================
--- qoca/QcLinPoly.cc	(revision 18891)
+++ qoca/QcLinPoly.cc	(working copy)
@@ -27,6 +27,8 @@
 #include "qoca/QcDefines.hh"
 #include "qoca/QcLinPoly.hh"
 
+using namespace std;
+
 QcLinPoly::QcLinPoly(const QcLinPoly& rhs)
 {
 	size_t n = rhs.fTerms.size();
Index: qoca/QcDefines.hh
===================================================================
--- qoca/QcDefines.hh	(revision 18891)
+++ qoca/QcDefines.hh	(working copy)
@@ -173,7 +173,7 @@
   )
 
 #ifndef qcNoStream
-# include <iostream.h>
+# include <iostream>
 #endif
 
 /* TODO: Maybe use autoconf to detect this.  (OTOH, I imagine that
Index: qoca/QcLinInEqSolver.cc
===================================================================
--- qoca/QcLinInEqSolver.cc	(revision 18891)
+++ qoca/QcLinInEqSolver.cc	(working copy)
@@ -34,6 +34,8 @@
 #include "qoca/QcStructVarIndexIterator.hh"
 #include "qoca/QcSparseMatrixRowIterator.hh"
 
+using namespace std;
+
 void QcLinInEqSolver::AddDualCoeffs(QcLinPoly &lpoly, int p)
 	// Used by Generate constraints to add the dual variable
 	// coefficients to a linpoly corresponding to parameter p.
Index: qoca/QcCassSolver.hh
===================================================================
--- qoca/QcCassSolver.hh	(revision 18891)
+++ qoca/QcCassSolver.hh	(working copy)
@@ -27,16 +27,16 @@
 #ifndef __QcCassSolverH
 #define __QcCassSolverH
 
-#include <map.h>
+#include <map>
 #include "qoca/QcDelLinInEqSystem.hh"
 #include "qoca/QcCassConstraint.hh"
 
 class QcCassSolver : public QcDelLinInEqSystem
 {
 protected:
-  	typedef map<QcFloat, QcCassConstraint *> TStayMap;
-  	typedef vector<QcCassConstraint *> TEditMap;
-  	typedef vector<QcCassConstraint *> TStaySeqMap;
+  	typedef std::map<QcFloat, QcCassConstraint *> TStayMap;
+  	typedef std::vector<QcCassConstraint *> TEditMap;
+  	typedef std::vector<QcCassConstraint *> TStaySeqMap;
 
   	TStayMap fStayMap;
   	TEditMap fEditMap;
@@ -92,7 +92,7 @@
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
   	virtual void Restart();
-  	virtual void Print(ostream &os) const;
+  	virtual void Print(std::ostream &os) const;
 };
 
 inline QcCassSolver::QcCassSolver()
Index: layouter/ConstraintSolverLayouter.cpp
===================================================================
--- layouter/ConstraintSolverLayouter.cpp	(revision 18891)
+++ layouter/ConstraintSolverLayouter.cpp	(working copy)
@@ -6,7 +6,7 @@
 #include "ConstraintSolverLayouter.h"
 
 #include <math.h>
-#include <string.h>
+#include <string>
 
 #include <LayoutUtils.h>
 #include <Size.h>
